#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetVerticalSync(true);
	ofSetFrameRate(60);
	ofEnableSmoothing();
	ofEnableAlphaBlending();
	ofSetCircleResolution(100);
	
	ofBackground(0, 0, 0);
	
	ptA.set(100, 100, 0);
	ptB.set(100, 300, 0);
	speed = 1;
	myCircle.x = ptA.x;
	myCircle.y = ptA.y;
	t = 0;
	
	move = 0;
	mouseClick = false;
}

//--------------------------------------------------------------
void testApp::update(){
	t += .01;
	move = sin (t)/2 + .5;
	myCircle.x = (1 - move) * ptA.x + move * ptB.x;
	myCircle.y = (1 - move) * ptA.y + move * ptB.y;		

}

//--------------------------------------------------------------
void testApp::draw(){
	ofCircle(ptA.x, ptA.y, 5);
	ofCircle(ptB.x, ptB.y, 5);
	myCircle.draw();

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	if (!mouseClick)
	{
		ptA.set(x, y, 0);
	}
	if (mouseClick) {
		ptB.set(x, y, 0);
	}
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	mouseClick = !mouseClick;
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

